/*
** gdm.h for  in 
** 
** Made by vianney rancurel
** Login   <vianney@epita.fr>
** 
** Started on  Wed Aug 25 11:45:23 1999 vianney rancurel
** Last update Thu Oct 28 20:18:33 1999 
*/
#ifndef GDM_H
#define GDM_H	1

#include "mg_dm.h"

extern t_boolean	global_debug_malloc;
extern t_dm		gdm;

/* PROTO gdm.c */
/* gdm.c */
t_status gdm_alloc_algorithm P((size_t old_size, size_t request_size, size_t *new_size));
void gdm_init P((void));
void *gdm_alloc P((size_t size, char *comment1, char *comment2, t_status *status));
void *gdm_realloc P((void *old_ptr, size_t size, char *comment1, char *comment2, t_status *status));
void gdm_free P((void *ptr, char *comment1, char *comment2));
void gdm_unmark P((void *ptr, char *comment1, char *comment2));
void gdm_status P((void));
#endif
